Log Slack message
curl --request POST \
--url https://ai.wisepilot.app/api/v1/slack/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slack_user_id": "<string>",
"channel_id": "<string>",
"user_text": "<string>",
"agent_id": "<string>",
"thread_ts": "<string>",
"event_ts": "<string>",
"channel_type": "<string>",
"raw_text": "<string>",
"response_text": "<string>",
"tools_used": [
"<string>"
],
"is_plan": false,
"model": "<string>",
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"duration_ms": 123,
"estimated_cost": 123,
"error_message": "<string>"
}
'import requests
url = "https://ai.wisepilot.app/api/v1/slack/messages"
payload = {
"slack_user_id": "<string>",
"channel_id": "<string>",
"user_text": "<string>",
"agent_id": "<string>",
"thread_ts": "<string>",
"event_ts": "<string>",
"channel_type": "<string>",
"raw_text": "<string>",
"response_text": "<string>",
"tools_used": ["<string>"],
"is_plan": False,
"model": "<string>",
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"duration_ms": 123,
"estimated_cost": 123,
"error_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slack_user_id: '<string>',
channel_id: '<string>',
user_text: '<string>',
agent_id: '<string>',
thread_ts: '<string>',
event_ts: '<string>',
channel_type: '<string>',
raw_text: '<string>',
response_text: '<string>',
tools_used: ['<string>'],
is_plan: false,
model: '<string>',
prompt_tokens: 123,
completion_tokens: 123,
total_tokens: 123,
duration_ms: 123,
estimated_cost: 123,
error_message: '<string>'
})
};
fetch('https://ai.wisepilot.app/api/v1/slack/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}{
"success": false,
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Slack
Log Slack message
Log a Slack user message and bot response for visibility in the agency panel. Called by the Slack bot after each user-triggered exchange. If the API key has an agency scope, messages are associated with that agency and appear under Agency → Slack.
POST
/
slack
/
messages
Log Slack message
Authorizations
API key prefixed with cr_ (e.g. cr_a1b2c3...)
Body
application/json
Slack user ID (e.g. U12345)
Slack channel ID
Available options:
app_mention, dm, thread_reply User message (after stripping @mention)
Bot agent identifier (e.g. wgm, fbv)
Thread timestamp if in a thread
e.g. im, channel, group
Original text before stripping
Bot reply (null if error)
Set when processing failed
⌘I